Subject: Re: Question about ash and getopts
From: Dario Alcocer <[email-masked]>
To: Peter Seebach <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Dec 2003 23:57:15 -0800

Peter Seebach wrote:

>I know this is a pseudo-FAQ, but I haven't been able to find a clear enough
>answer in the archives.
>
>1.  Is it not the case that POSIX provides a specification for the getopts
>builtin?
>2.  Doesn't ash, as originally written, implement getopts?
>
>I'm trying to figure out why this feature was removed, and I've never gotten
>an answer that made much sense.  Every other POSIX-like system I can think
>of supports getopts in /bin/sh.  Why is Cygwin different?
>  
>
Use the "set -- `getopt`" idiom instead:

    http://cygwin.com/ml/cygwin/2003-05/msg01114.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/